%% init
%   initialize the data to some default values and objects
% inputs:
%   object:Data - current object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = init(object)
object.Grid2 = Grid(2,[]);
object.Grid1 = Grid(1,[]);
object.Grid0 = RGrid(object.Grid1,object.Grid2);
object.Grid1.set_rGrid(object.Grid0);
object.Grid2.set_rGrid(object.Grid0);
object.Grid2.new_Cell;
object.Grid1.new_Cell;
object.checked = 0;
object.multi_mode = 0;
end

